Page MenuHomePhabricator

Polkit-EFL git doesn't build with python 3.7
Closed, ResolvedPublic

Description

When trying to rebuild Polkit-EFL git under Arch and python 3.7, build fails with errors like:

PyThreadState’ {aka ‘struct _ts’} has no member named ‘exc_traceback’; did you mean ‘curexc_traceback’.

I believe this is due to python 3.7 and cython but it's beyond my abilities to fix properly.

lightdot created this task.Aug 8 2018, 4:05 AM
lightdot triaged this task as High priority.Aug 9 2018, 1:38 AM
lightdot closed this task as Resolved.Aug 27 2018, 7:52 AM
lightdot claimed this task.

Fixed with Python-EFL 1.21.0.